From 839073c0f18854429a7e84b49ca42b6774242e2d Mon Sep 17 00:00:00 2001
From: Manoj Vishwanathan <mvishwan@quicinc.com>
Date: Thu, 25 Aug 2022 01:41:46 +0000
Subject: [PATCH 8/8] soc:qcom: fix compilation error

Backport caused a few compilation error in fastRPC
Included the needed files for fixing the compilation issues
---
 drivers/soc/qcom/apr.c             |  3 ++-
 include/dt-bindings/soc/qcom,gpr.h | 13 +++++++++++++
 2 files changed, 15 insertions(+), 1 deletion(-)
 create mode 100644 include/dt-bindings/soc/qcom,gpr.h

diff --git a/drivers/soc/qcom/apr.c b/drivers/soc/qcom/apr.c
index e5215b9..cf9de8a 100644
--- a/drivers/soc/qcom/apr.c
+++ b/drivers/soc/qcom/apr.c
@@ -385,10 +385,11 @@ static int apr_device_remove(struct device *dev)
 	spin_lock(&apr->svcs_lock);
 	idr_remove(&apr->svcs_idr, adev->svc.id);
 	spin_unlock(&apr->svcs_lock);
-}
 
 	return 0;
 
+}
+
 static int apr_uevent(struct device *dev, struct kobj_uevent_env *env)
 {
 	struct apr_device *adev = to_apr_device(dev);
diff --git a/include/dt-bindings/soc/qcom,gpr.h b/include/dt-bindings/soc/qcom,gpr.h
new file mode 100644
index 0000000..1ca261b
--- /dev/null
+++ b/include/dt-bindings/soc/qcom,gpr.h
@@ -0,0 +1,13 @@
+/* SPDX-License-Identifier: GPL-2.0 */
+#ifndef __DT_BINDINGS_QCOM_GPR_H
+#define __DT_BINDINGS_QCOM_GPR_H
+/* DOMAINS */
+#define GPR_DOMAIN_ID_MODEM	1
+#define GPR_DOMAIN_ID_ADSP	2
+#define GPR_DOMAIN_ID_APPS	3
+/* Static Services */
+#define GPR_APM_MODULE_IID		1
+#define GPR_PRM_MODULE_IID		2
+#define GPR_AMDB_MODULE_IID		3
+#define GPR_VCPM_MODULE_IID		4
+#endif /* __DT_BINDINGS_QCOM_GPR_H */
-- 
2.7.4

